.site_button {
    display: inline-block;
    width: 170px;
    font-size: 16px;
    padding: 0;
    clip-path: polygon(10% 0, 70% 0%, 100% 0, 100% 72%, 90% 100%, 22% 100%, 0 100%, 0 30%);
    color: #fff;
    margin: 0;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: relative;
    overflow: hidden;
    font-weight: normal;
    background: #1D89CB;
    margin-right: 5px;
    cursor: pointer;
    font-weight: 500;
    transition: 1s !important;
}

.site_button:hover::after {
    background: #EDCD20;
}

.site_button:hover {
    background: #222222;
	color:#222222 !important;
}

.site_button::after {
    position: absolute;
    content: '';
    top: 1px;
    left: 1px;
    clip-path: polygon(10% 0, 70% 0%, 100% 0, 100% 72%, 90% 100%, 22% 100%, 0 100%, 0 30%);
    right: 1px;
    bottom: 1px;
    background: #222222;
    width: 98.5%;
    height: 96%;
    z-index: -1;
}

.home_banner_button .site_button {
    background: #fff;
    color: #000;
}

@media all and (min-width: 320px) and (max-width: 767px) {
    .site_button {
        width: 140px;
        font-size: 14px;
        height: 40px;
    }
    .site_button::after {
        height: 95%;
    }
}

@media all and (min-width: 481px) and (max-width: 767px) {}

@media all and (min-width: 768px) and (max-width: 980px) {
    .site_button {
        width: 140px;
        font-size: 14px;
        height: 40px;
    }
    .site_button::after {
        height: 95%;
    }
}

@media only screen and (min-width: 981px) and (max-width: 1024px) {
    .site_button {
        width: 160px;
        height: 45px;
    }
}

@media all and (min-width: 1025px) and (max-width: 1140px) {
    .site_button {
        width: 160px;
        height: 45px;
    }
}

@media all and (min-width: 1141px) and (max-width: 1280px) {
    .site_button {
        width: 170px;
    }
}

@media all and (min-width: 1281px) and (max-width: 1440px) {}

@media all and (min-width: 1441px) and (max-width: 1680px) {}

@media all and (min-width: 1681px) and (max-width: 1880px) {}

@media all and (min-width: 981px) and (max-width: 3000px) {}